com.google.appengine.api.blobstore

## Class FileInfo

- java.lang.Object
- - com.google.appengine.api.blobstore.FileInfo

-     public class FileInfo
      extends java.lang.Object

  `FileInfo` contains metadata about an uploaded file. This metadata is gathered by parsing the HTTP headers included in the file upload.
  Since:
    1.7.5
  See Also:
    RFC 1867 for the specification of HTTP file uploads.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileInfo(java.lang.String contentType, java.util.Date creation, java.lang.String filename, long size, java.lang.String md5Hash, java.lang.String gsObjectName)` Creates a `FileInfo` by providing the associated metadata.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getContentType()` Returns the MIME Content-Type provided in the HTTP header during upload of this Blob.
    `java.util.Date` | `getCreation()` Returns the time and date the blob was upload.
    `java.lang.String` | `getFilename()` Returns the file included in the Content-Disposition HTTP header during upload of this Blob.
    `java.lang.String` | `getGsObjectName()` Returns the name of the file written to Google Cloud Storage or null if the file was not uploaded to Google Cloud Storage.
    `java.lang.String` | `getMd5Hash()` Returns the md5Hash of this Blob.
    `long` | `getSize()` Returns the size in bytes of this Blob.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileInfo

          public FileInfo(java.lang.String contentType,
                          java.util.Date creation,
                          java.lang.String filename,
                          long size,
                          java.lang.String md5Hash,
                          java.lang.String gsObjectName)

      Creates a `FileInfo` by providing the associated metadata. This is done by the API on the developer's behalf.
      Parameters:
        `contentType` - the MIME Content-Type provided in the HTTP header during upload of this Blob.
        `creation` - the time and date the blob was uploaded.
        `filename` - the file included in the Content-Disposition HTTP header during upload of this Blob.
        `size` - the size in bytes of this Blob.
        `md5Hash` - the md5Hash of this Blob.
        `gsObjectName` - the name of the file written to Google Cloud Storage or null if the file was not uploaded to Google Cloud Storage.

  - ### Method Detail

    - #### getContentType

          public java.lang.String getContentType()

      Returns the MIME Content-Type provided in the HTTP header during upload of this Blob.

    - #### getCreation

          public java.util.Date getCreation()

      Returns the time and date the blob was upload.

    - #### getFilename

          public java.lang.String getFilename()

      Returns the file included in the Content-Disposition HTTP header during upload of this Blob.

    - #### getSize

          public long getSize()

      Returns the size in bytes of this Blob.

    - #### getMd5Hash

          public java.lang.String getMd5Hash()

      Returns the md5Hash of this Blob.

    - #### getGsObjectName

          public java.lang.String getGsObjectName()

      Returns the name of the file written to Google Cloud Storage or null if the file was not uploaded to Google Cloud Storage. This property is only available for BlobInfos returned by getUploadedBlobInfos(), as its value is not persisted in the Datastore. Any attempt to access this property on other BlobInfos will return null.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`